FREE(1)

NOM
free - Afficher les quantités de mémoires libres et utilisées

SYNOPSIS
free [-b | -k | -m] [-o] [-s nb_sec ] [-t] [-V]

DESCRIPTION
free affiche les quantités totales de mémoire et de zone de swap libres et utilisées dans le système, ainsi que les tampons utilisés par le noyau. La colonne de la mémoire partagée (« shared ») doit être ignorée car elle est obsolète.

  Options
L'option -b affiche les quantités en octets, l'option -k en kilo-octets (affichage par défaut), et -m en méga-octets.

L'option -t affiche une ligne contenant le total de la mémoire du système.

L'option -o empêche l'affichage de la ligne des tampons. Sans cette option, free soustrait/additionne la mémoire des tampons des quantités de mémoire utilisée/libre (respectivement).

L'option -s active un affichage continu toutes les nb_sec secondes. En fait vous pouvez indiquer une valeur décimale pour nb_sec, puisque usleep(3) est utilisé pour obtenir un délai avec une résolution en micro-secondes.

L'option -V affiche le numéro de version.

FICHIERS

/proc/meminfo
    Informations sur la mémoire.

AUTEUR
Écrit par Brian Edmonds.

VOIR AUSSI
ps(1), top(1)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 15 avril 1997 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 free ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.